from datetime import datetime

from pydantic import BaseModel

from knoc_plugin_template import __version__


class SimpleOutput(BaseModel):
    message: str


async def plugin_template_process() -> SimpleOutput:
    return SimpleOutput(message=f"Foo v{__version__} at {datetime.now()}")
