from hatchet_sdk import Context, EmptyModel

from knoc.hatchet_client import hatchet
from pandas._libs.lib import is_np_dtype
from knoc_plugin_template import __version__
from knoc_plugin_template.process import plugin_template_process, SimpleOutput


do_nothing_wf = hatchet.workflow(
    name="Do-nothing-wf",
    version=__version__,
)


@hatchet.task(input_validator=EmptyModel)
async def do_nothing(input: EmptyModel, ctx: Context) -> SimpleOutput:
    """A template for Do nothing"""
    ctx.log("Just a workflow template")
    return await plugin_template_process()


do_nothing_wf.add_task(do_nothing)
